airflow-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dmitriy Krasnikov <dkrasni...@hotmail.com>
Subject RE: Python 3
Date Mon, 28 Nov 2016 12:01:37 GMT
I have been using it and developing plugins for it in Python 3.5 with no problems.


-----Original Message-----
From: Maycock, Luke [mailto:luke.maycock@affiliate.oliverwyman.com] 
Sent: Monday, November 28, 2016 6:58 AM
To: dev@airflow.incubator.apache.org
Subject: Python 3

Hi All,


I have been using Airflow for a while now and have a couple of questions that I am hoping
someone knows the answer to:

 1.  Is Airflow now Python 3 compatible? The documentation used to state that Airflow was
only compatible with Python 2.7 (<https://web.archive.org/web/20160310111640/http://pythonhosted.org/airflow/start.html>https://web.archive.org/web/20160502024539/http://pythonhosted.org/airflow/start.html)
but that statement has since been removed.
 2.  I know Gunicorn does not run on Windows - is this the only component of Airflow that
does not run on Windows?


Cheers,
Luke Maycock
OLIVER WYMAN
luke.maycock@affiliate.oliverwyman.com<mailto:luke.maycock@affiliate.oliverwyman.com>
www.oliverwyman.com<http://www.oliverwyman.com/>


________________________________
This e-mail and any attachments may be confidential or legally privileged. If you received
this message in error or are not the intended recipient, you should destroy the e-mail message
and any attachments or copies, and you are prohibited from retaining, distributing, disclosing
or using any information contained herein. Please inform us of the erroneous delivery by return
e-mail. Thank you for your cooperation.
Mime
View raw message